
namespace Lab1_GeometryInheritance;

public class Trapezoid : Figure
{
    public double BaseA { get; }
    public double BaseB { get; }
    public double Height { get; }
    public double SideC { get; }
    public double SideD { get; }
    public Trapezoid(double a, double b, double h, double c, double d)
    {
        Name = "Trapezoid";
        BaseA = a; BaseB = b; Height = h; SideC = c; SideD = d;
    }
    public override double GetArea() => (BaseA + BaseB) * Height / 2;
    public override double GetPerimeter() => BaseA + BaseB + SideC + SideD;
}
