
using System.Drawing;

namespace Lab4_Polymorphism;

public abstract class Figure
{
    public string Name { get; init; } = string.Empty;
    public Color Color { get; init; } = Color.Black;
    public Point Position { get; init; }

    public Figure(string name, Color color, Point position)
        => (Name, Color, Position) = (name, color, position);

    public abstract double GetArea();
    public abstract Point GetCenter();
    public abstract void Draw(Graphics g);
}
