
using System;
using System.Drawing;
using System.Windows.Forms;

namespace Lab7_WinForms2;

static class Program
{
    [STAThread]
    static void Main()
    {
        ApplicationConfiguration.Initialize();
        Application.Run(new DemoForm());
    }
}

public class DemoForm : Form
{
    public DemoForm()
    {
        Text="WinForms Layout Demo";
        Size=new Size(600,400);

        var tlp = new TableLayoutPanel
        {
            Dock = DockStyle.Fill,
            ColumnCount = 3,
            RowCount = 3
        };
        for(int i=0;i<3;i++){
            tlp.ColumnStyles.Add(new ColumnStyle(SizeType.Percent,33.33f));
            tlp.RowStyles.Add(new RowStyle(SizeType.Percent,33.33f));
        }

        for(int r=0;r<3;r++)
            for(int c=0;c<3;c++){
                var btn=new Button{Text=$"{r},{c}", Dock=DockStyle.Fill};
                tlp.Controls.Add(btn,c,r);
            }

        Controls.Add(tlp);
    }
}
